# Interface methods for submodule: PowellOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SingleValuedNonLinearOptimizerProxy as _SingleValuedNonLinearOptimizerProxy


# Interface methods for class: PowellOptimizer
class PowellOptimizerProxy(_SingleValuedNonLinearOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaximize(self, _arg: bool) -> None:
		""""""
		...

	def MaximizeOn(self) -> None:
		""""""
		...

	def MaximizeOff(self) -> None:
		""""""
		...

	def GetMaximize(self) -> bool:
		""""""
		...

	def SetMaximumIteration(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumIteration(self) -> int:
		""""""
		...

	def SetMaximumLineIteration(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumLineIteration(self) -> int:
		""""""
		...

	def SetStepLength(self, _arg: float) -> None:
		""""""
		...

	def GetStepLength(self) -> float:
		""""""
		...

	def SetStepTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetStepTolerance(self) -> float:
		""""""
		...

	def SetValueTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetValueTolerance(self) -> float:
		""""""
		...

	def GetCurrentCost(self) -> float:
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

	def GetCurrentIteration(self) -> int:
		""""""
		...

	def GetCurrentLineIteration(self) -> int:
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def StopOptimization(self) -> None:
		""""""
		...

	def GetCatchGetValueException(self) -> bool:
		""""""
		...

	def SetCatchGetValueException(self, _arg: bool) -> None:
		""""""
		...

	def GetMetricWorstPossibleValue(self) -> float:
		""""""
		...

	def SetMetricWorstPossibleValue(self, _arg: float) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

